Bar with Images in JavaScript

Using ApexCharts with JavaScript

This Bar with Images example uses ApexCharts.js directly in JavaScript, with no wrapper component.

Install it with npm install apexcharts, then mount the chart with new ApexCharts(element, options).render().

JavaScript installation guide
var options = {
  series: [
    {
      name: 'Units sold',
      data: [820, 940, 610, 480, 560, 720, 390, 680, 900, 430, 350, 640],
    },
  ],
  chart: {
    type: 'bar',
    height: 410,
    animations: {
      enabled: false,
    },
  },
  plotOptions: {
    bar: {
      horizontal: true,
      barHeight: '100%',
    },
  },
  dataLabels: {
    enabled: false,
  },
  stroke: {
    width: 1,
    colors: ['#000'],
  },
  yaxis: {
    axisBorder: {
      show: false,
    },
    axisTicks: {
      show: false,
    },
    title: {
      text: 'Units sold',
    },
  },
  xaxis: {
    categories: [
      'Vanilla',
      'Chocolate',
      'Strawberry',
      'Mint',
      'Mango',
      'Coffee',
      'Pistachio',
      'Caramel',
      'Cookies',
      'Coconut',
      'Lemon',
      'Berry',
    ],
  },
  grid: {
    position: 'back',
  },
  title: {
    text: 'Ice Cream Sales by Flavour',
    align: 'left',
  },
  subtitle: {
    text: 'Bars filled by a single clipped image',
    align: 'left',
  },
  fill: {
    type: 'image',
    opacity: 0.9,
    image: {
      src: '../../assets/images/stripes.jpg',
      width: 640,
      height: 427,
    },
  },
}

var chart = new ApexCharts(document.querySelector('#chart'), options)
chart.render()

Bar with Images in React

Using ApexCharts with React

This Bar with Images example wires ApexCharts into React through the react-apexcharts component.

Install it with npm install react-apexcharts apexcharts, then mount the chart with <Chart type="..." options={options} series={series} />.

React charts guide
import React from 'react'
import ReactApexChart from 'react-apexcharts'
import './styles.css'

const ApexChart = () => {
  const [state, setState] = React.useState({
    series: [
      {
        name: 'Units sold',
        data: [820, 940, 610, 480, 560, 720, 390, 680, 900, 430, 350, 640],
      },
    ],
    options: {
      chart: {
        type: 'bar',
        height: 410,
        animations: {
          enabled: false,
        },
      },
      plotOptions: {
        bar: {
          horizontal: true,
          barHeight: '100%',
        },
      },
      dataLabels: {
        enabled: false,
      },
      stroke: {
        width: 1,
        colors: ['#000'],
      },
      yaxis: {
        axisBorder: {
          show: false,
        },
        axisTicks: {
          show: false,
        },
        title: {
          text: 'Units sold',
        },
      },
      xaxis: {
        categories: [
          'Vanilla',
          'Chocolate',
          'Strawberry',
          'Mint',
          'Mango',
          'Coffee',
          'Pistachio',
          'Caramel',
          'Cookies',
          'Coconut',
          'Lemon',
          'Berry',
        ],
      },
      grid: {
        position: 'back',
      },
      title: {
        text: 'Ice Cream Sales by Flavour',
        align: 'left',
      },
      subtitle: {
        text: 'Bars filled by a single clipped image',
        align: 'left',
      },
      fill: {
        type: 'image',
        opacity: 0.9,
        image: {
          src: '../../assets/images/stripes.jpg',
          width: 640,
          height: 427,
        },
      },
    },
  })

  return (
    <div>
      <div id="chart">
        <ReactApexChart
          options={state.options}
          series={state.series}
          type="bar"
          height={410}
        />
      </div>
    </div>
  )
}

export default ApexChart

Bar with Images in Vue

Using ApexCharts with Vue

This Bar with Images example wires ApexCharts into Vue through the vue3-apexcharts component.

Install it with npm install vue3-apexcharts apexcharts, then mount the chart with <apexchart type="..." :options="options" :series="series" />.

Vue charts guide
<template>
  <div>
    <div id="chart">
      <apexchart
        type="bar"
        height="410"
        :options="chartOptions"
        :series="series"
      ></apexchart>
    </div>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

export default {
  components: {
    apexchart: VueApexCharts,
  },
  data: function () {
    return {
      series: [
        {
          name: 'Units sold',
          data: [820, 940, 610, 480, 560, 720, 390, 680, 900, 430, 350, 640],
        },
      ],
      chartOptions: {
        chart: {
          type: 'bar',
          height: 410,
          animations: {
            enabled: false,
          },
        },
        plotOptions: {
          bar: {
            horizontal: true,
            barHeight: '100%',
          },
        },
        dataLabels: {
          enabled: false,
        },
        stroke: {
          width: 1,
          colors: ['#000'],
        },
        yaxis: {
          axisBorder: {
            show: false,
          },
          axisTicks: {
            show: false,
          },
          title: {
            text: 'Units sold',
          },
        },
        xaxis: {
          categories: [
            'Vanilla',
            'Chocolate',
            'Strawberry',
            'Mint',
            'Mango',
            'Coffee',
            'Pistachio',
            'Caramel',
            'Cookies',
            'Coconut',
            'Lemon',
            'Berry',
          ],
        },
        grid: {
          position: 'back',
        },
        title: {
          text: 'Ice Cream Sales by Flavour',
          align: 'left',
        },
        subtitle: {
          text: 'Bars filled by a single clipped image',
          align: 'left',
        },
        fill: {
          type: 'image',
          opacity: 0.9,
          image: {
            src: '../../assets/images/stripes.jpg',
            width: 640,
            height: 427,
          },
        },
      },
    }
  },
}
</script>

<style>
#chart {
  max-width: 650px;
  margin: 35px auto;
}

#apexcharts-canvas {
  margin: 0 auto;
}
</style>

Bar with Images in Angular

Using ApexCharts with Angular

This Bar with Images example wires ApexCharts into Angular through the ng-apexcharts component.

Install it with npm install ng-apexcharts apexcharts, then mount the chart with <apx-chart [series]="series" [chart]="chart"></apx-chart>.

Angular charts guide

This demo uses imperative chart updates. The generated code is a faithful Angular translation: open it in CodeSandbox to run and tweak.

import { Component, AfterViewInit, OnDestroy, ViewChild } from '@angular/core';
import {
  ChartComponent,
  ApexAxisChartSeries,
  ApexNonAxisChartSeries,
  ApexChart,
  ApexXAxis,
  ApexYAxis,
  ApexTitleSubtitle,
  ApexDataLabels,
  ApexStroke,
  ApexFill,
  ApexLegend,
  ApexTooltip,
  ApexMarkers,
  ApexPlotOptions,
  ApexResponsive,
  ApexGrid,
  ApexAnnotations,
  ApexStates,
  ApexTheme,
  NgApexchartsModule,
} from 'ng-apexcharts';

export type ChartOptions = {
  series?: ApexAxisChartSeries | ApexNonAxisChartSeries;
  chart?: ApexChart;
  xaxis?: ApexXAxis;
  yaxis?: ApexYAxis | ApexYAxis[];
  title?: ApexTitleSubtitle;
  subtitle?: ApexTitleSubtitle;
  dataLabels?: ApexDataLabels;
  stroke?: ApexStroke;
  fill?: ApexFill;
  legend?: ApexLegend;
  tooltip?: ApexTooltip;
  markers?: ApexMarkers;
  plotOptions?: ApexPlotOptions;
  responsive?: ApexResponsive[];
  grid?: ApexGrid;
  annotations?: ApexAnnotations;
  states?: ApexStates;
  theme?: ApexTheme;
  colors?: string[];
  labels?: any;
};

@Component({
  selector: 'app-chart',
  standalone: true,
  imports: [NgApexchartsModule],
  templateUrl: './chart.component.html',
})
export class AppChart implements AfterViewInit, OnDestroy {
  @ViewChild('chart') chart!: ChartComponent;
  public chartOptions: Partial<ChartOptions> = {
          series: [
            {
              name: 'Units sold',
              data: [820, 940, 610, 480, 560, 720, 390, 680, 900, 430, 350, 640],
            },
          ],
          chart: {
            type: 'bar',
            height: 410,
            animations: {
              enabled: false,
            },
          },
          plotOptions: {
            bar: {
              horizontal: true,
              barHeight: '100%',
            },
          },
          dataLabels: {
            enabled: false,
          },
          stroke: {
            width: 1,
            colors: ['#000'],
          },
          yaxis: {
            axisBorder: {
              show: false,
            },
            axisTicks: {
              show: false,
            },
            title: {
              text: 'Units sold',
            },
          },
          xaxis: {
            categories: [
              'Vanilla',
              'Chocolate',
              'Strawberry',
              'Mint',
              'Mango',
              'Coffee',
              'Pistachio',
              'Caramel',
              'Cookies',
              'Coconut',
              'Lemon',
              'Berry',
            ],
          },
          grid: {
            position: 'back',
          },
          title: {
            text: 'Ice Cream Sales by Flavour',
            align: 'left',
          },
          subtitle: {
            text: 'Bars filled by a single clipped image',
            align: 'left',
          },
          fill: {
            type: 'image',
            opacity: 0.9,
            image: {
              src: 'https://apexcharts.com/samples/assets/images/stripes.jpg',
              width: 640,
              height: 427,
            },
          },
        };
  ngAfterViewInit() {
    (window as any).ApexCharts.setLicense('APEX-eyJleHBpcnlEYXRlIjoiMjEyNi0wNy0wNCIsImlzc3VlRGF0ZSI6IjIwMjYtMDctMjgiLCJwbGFuIjoicHJlbWl1bSIsImRvbWFpbnMiOlsiYXBleGNoYXJ0cy5jb20iLCIxMjcuMC4wLjEiLCJsb2NhbGhvc3QiXSwic2lnIjoieVBmb1VCc0Z3TU9ZdUEyaEZkR0I2Y1FtZ0JITUtXcVdJSjB2NVRESXRZbFR3eDJMUmh6R2x0RUc3VXJ4X0s3b25ZMWRZb2Z2VGItN01ydFYyNDVyOWcifQ==');
  }

  ngOnDestroy() {
    // no cleanup needed
  }
}